curl --request GET \
--url https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"code": "<string>",
"label": "<string>",
"translations": {}
}
]Get the available return resolution codes
Get the return resolution codes available for a seller in one of its fulfillment warehouses, i.e. the outcomes a consumer can request for a returned item, such as a credit note or a replacement. Returns the seller specific codes together with the ones configured for all sellers of that warehouse. Use translations where present to show a code in the language of your user, and the label otherwise.
curl --request GET \
--url https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/returns/warehouse/{warehouseId}/seller/{sellerId}/resolutions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"code": "<string>",
"label": "<string>",
"translations": {}
}
]Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
The unique identifier for the warehouse location where items are stored and orders are fulfilled.
The unique identifier for the seller account. This ID is used to scope operations to a specific seller's data and resources.